# English to Tamil Dictionary

English to Tamil Dictionary with offline feature.
Download this largest Tamil dictionary with over 1 lakhs of word meaning.
This Dictionary have favourite word marking to get useful word immediately.
This Dictionary provides Words of Day to know about new words and you can set according your need.
This have 3 types of Game to test your Vocal Level.
1. Tamil to English Game
2. English to Tamil Game
3. Fill in Blank Game

Download from Playstore

https://play.google.com/store/apps/details?id=com.smartappspro.tamildictionary

